Subject: Re: bug#29398: company-minimum-prefix-length

From: Mosè Giordano <[email-masked]>
Date: Wed, 22 Nov 2017 23:31:22 +0100

Hi Fred,

2017-11-22 10:11 GMT+01:00 Frederik Beaujean <[email-masked]>:
> Dear auctex developers,
>
> I'm using auctex with the company completion system. The problem is that
>
> company-minimum-prefix-length
>
> is ignored in tex files. This is annoying when typesetting math with the
> usual single-character symbols like i or n because I have to press C-g
> multiple times to turn of the completion overlay.
>
> I had initially posted this issue on github with spacemacs and
> company-auctex, it affects several people as well
>
> https://github.com/syl20bnr/spacemacs/issues/9388
>
> https://github.com/alexeyr/company-auctex/issues/18
>
> The root of the problems seems this code in auctex/tex.el in v11.91
>
> ;; By default, company completions kick in after a prefix of 3 chars has
> ;; been typed.  Since we don't have too many completions, that's too
> ;; much.
> (set (make-local-variable 'company-minimum-prefix-length) 1)))
>
> I don't understand the explanation given for creating this local variable. I
> request that it be removed or done in such a way that it doesn't override
> global user settings.

You can override this setting with

(add-hook 'TeX-mode-hook
      '(lambda ()
         (setq company-minimum-prefix-length 3)))

However, I see that you'd like to avoid setting again the option.
Tassilo, could you please give a look at this?

Bye,
Mosè